class UserEvaluateCardItemState {
  final String name;
  final String avator;
  final double score;
  final String time;
  final String content;
  final List<dynamic>? imageUrls;

  const UserEvaluateCardItemState({
    required this.name,
    required this.avator,
    required this.score,
    required this.time,
    required this.content,
    this.imageUrls,
  });

  UserEvaluateCardItemState copyWith({
    String? name,
    String? avator,
    double? score,
    String? time,
    String? content,
    List<dynamic>? imageUrls,
  }) {
    return UserEvaluateCardItemState(
      name: name ?? this.name,
      avator: avator ?? this.avator,
      score: score ?? this.score,
      time: time ?? this.time,
      content: content ?? this.content,
      imageUrls: imageUrls ?? this.imageUrls,
    );
  }
}