import 'package:cs_resources/generated/l10n.dart';

import 'modules/services/homeService/home_service_vm.dart';


class servicesConstants {
  static const String dollarUnit = "\$";
   // homesevice  sortBy options
  static Map<String, String> sortByOptionsMap = {
    S.current.most_likes: SortByType.likes_count.name,
    S.current.most_bookmarked: SortByType.orders_count.name,
    S.current.view_at_most: SortByType.clicks_count.name,
  };

  // 服务种类
  static Map<int, Map<String, dynamic>> servicesType = {
    1: {
      "id": 1, // 业务做 标识 字段
      "name": "Home Service",
      "parent_id": 0,
      "type": "paid"
    },
    4: {
      "id": 4, // 业务做 标识 字段
      "name": "Maintenance",
      "parent_id": 0,
      "type": "inquiry"
    }
  };
  
   // 付费服务类型
   static Map<String, Map<String, dynamic>> paidServicesType = {
     "houseCleaning": {
       "text": S.current.house_cleaning,
       "type": "paid",
       'code': "House Cleaning",
       'id': 2, // 房屋清洁类 id   // 业务做 标识 字段
     },
     "airConditioner": {
       "text": S.current.air_conditioning_cleaning,
       "type": "paid",
       'code': "Air Conditioning Cleaning",
       'id': 3, // 空调类清洁类 id   // 业务做 标识 字段
     },
  };

  // 咨询服务类型
  static Map<String, Map<String, dynamic>> inquiryServicesType = {
    "repairAirConditioner": {
      "text": S.current.maintenance,
      "type": "inquiry",
      'code': "Repair air Conditioner",
      'id': 5, // 咨询类的 id   // 业务做 标识 字段
    }
  };
   

   static Map<String, dynamic> servicesStatus = {
     "0": {
       "text": S.current.wait_paid,
       "type": "Wait Paid",
       'code': 0,
     },
     "1": {
       "text": S.current.wait_service,
       "type": "Wait Service",
       'code': 1,
     },
     "2": {
       "text": S.current.completed,
       "type": "Completed",
       'code': 2,
     },
     "3": {
       "text": S.current.canceled,
       "type": "Canceled",
       'code': 3,
     }
  };

   static Map<String, List<Map<String, dynamic>>> servicesStatusActionBtnList = {
     // 0 waitPaid, 1 waitService, 2 completed, 3 canceled
     '0': [
       actionBtn['2'],
       actionBtn['3'],
       actionBtn['0'],
     ],
     '1': [
       actionBtn['1'],
       actionBtn['2'],
       actionBtn['3'],
     ],
     '2': [
       actionBtn['1'],
       actionBtn['5'],
     ],
     '3': [
       // actionBtn['4'],
     ]
   };

   static Map<String, dynamic> actionBtn = {
       "0": {
         "text": S.current.proceed_with_payment,
         "type": "proceedWidthPayment",
         'code': 0,
         'btnColor': '#FFFE6C00',
         'btnWidth': 500.0,
         'btnHeight': 35.0,
         'widthFactor': 1,
       },
       "1": {
         "text": S.current.cancel,
         "type": "cancel",
         'code': 1,
         'btnColor': '#FFFE6C00',
         'btnWidth': 65.0,
         'btnHeight': 35.0,
       },
       "2": {
         "text": S.current.contact_merchant,
         "type": "contactMerchant",
         'code': 2,
         'btnColor': '#FF01B5EB',
         'btnWidth': 115.0,
         'btnHeight': 35.0,
       },
      "3": {
        "text": S.current.contact_service_personnel,
        "type": "contactServicePersonnel",
        'code': 3,
        'btnColor': '#FF01CA48',
        'btnWidth': 115.0,
        'btnHeight': 35.0,
      },
      "4": {
        "text": S.current.delete,
        "type": "delete",
        'code': 4,
        'btnColor': '#FFFE4066',
        'btnWidth': 98.0,
        'btnHeight': 30.0,
      },
      "5": {
        "text": S.current.evaluate,
        "type": "evaluate",
        'code': 5,
        'btnColor': '#FF01B5EB',
        'btnWidth': 98.0,
        'btnHeight': 30.0,
      }
    };


   //  咨询 类的 状态
   static Map<String, dynamic> servicesInquiryStatus = {
     "0": {
       "text": S.current.in_progress,
       "type": "inProgress",
       'code': 0,
     },
     "1": {
       "text": S.current.completed,
       "type": "completed",
       'code': 1,
     },
   };
}